/*************************************************  Utility Functions Header  **************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Copyright 2014, Red Rapids, Inc.

*************************************************  Utility Functions Header  **************************************************/

#ifndef _UTILITY_FUNCTIONS_H_
#define _UTILITY_FUNCTIONS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Prototypes for each of the utility functions.
unsigned long ClearLatency(s_Adapter *p_HW);
unsigned long DataSave(void **p_PageAddresses, s_Channel RXChannel, char *p_File, size_t PageCount, size_t DataItemSize);
unsigned long DataLoad(void **p_PageAddresses, s_Channel TXChannel, double FsDivisor, size_t DataItemSize);
unsigned long TargetSave(s_Adapter *p_HW, char *p_File, unsigned long ChannelNumber);
unsigned long MemSize(s_Adapter *p_HW);
unsigned long MemTest(s_Adapter *p_HW, size_t cycles);
unsigned long PciBenchmark(s_Adapter *p_HW, unsigned long *p_Performance);
unsigned long PciPerformance(s_Adapter *p_HW, unsigned long *p_Performance);

#ifdef __cplusplus
}
#endif

#endif
